Can QTP 9.1 and flex 3 work ?

I need to automate on flex 3 and I have QTP 9.1. Pleae let me know if I can work with this set up.

If not please advise what I need to do.

I need this very badly as I have a deadline. Please advise!!